Subject: Re: bug#24518: 25.2.50; dired-mark-extension with prefix arg fails

From: Tino Calancha <[email-masked]>
Date: Sat, 24 Sep 2016 23:06:46 +0900 (JST)

On Sat, 24 Sep 2016, Eli Zaretskii wrote:

> Like I said: it looks a kludge, but it definitely isn't an accident.
> I suggested to replace 'P' with 'c' in the interactive spec, to make
> it less kludgey.
I know i am an small ant here, but I must say that IMO, that 
solution is bad Emacs: i strongly disagree with it.
I hardly believe that original Sebastian Kremer intention was
to provide such behaviour.  I am sure he wanted the command
behaves as `dired-mark-files-regexp' does with respect the
optional arg.
Feel free to fix the bug as you wish and push it to the repository.
I don't want to do it myself, because i don't want my name appear in
the git log as the author of that solution.
I am sorry if these words sounds bad.  It's not my intention; it's
good having different opinions.
>> That doesn't look like this was an intented feature (being
>> undocumented).
>
> It's documented, see the doc string.
Andreas meant in his previous e-mail that if the feature requires
that the user input an hexadecimal, then that should appear in the
doc string.